/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { MarkerSeriesDescription } from "./MarkerSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let ScatterBaseDescription = /*@__PURE__*/ (() => {
    class ScatterBaseDescription extends MarkerSeriesDescription {
        get_type() {
            return "ScatterBase";
        }
        constructor() {
            super();
            this.ff = null;
            this.fj = null;
            this.fi = null;
            this.fm = null;
            this.e9 = null;
            this.fa = null;
            this.fg = null;
            this.fk = null;
            this.fh = null;
            this.fl = null;
            this.fe = null;
            this.fd = null;
            this.e6 = null;
            this.ev = 0;
            this.ep = null;
            this.ez = 0;
            this.fc = null;
            this.e0 = 0;
            this.ey = 0;
            this.fb = null;
            this.ex = 0;
            this.e5 = null;
            this.es = false;
            this.er = false;
            this.e8 = null;
            this.e7 = null;
        }
        get xAxisRef() {
            return this.ff;
        }
        set xAxisRef(a) {
            this.ff = a;
            this.g("XAxisRef");
        }
        get yAxisRef() {
            return this.fj;
        }
        set yAxisRef(a) {
            this.fj = a;
            this.g("YAxisRef");
        }
        get xMemberPath() {
            return this.fi;
        }
        set xMemberPath(a) {
            this.fi = a;
            this.g("XMemberPath");
        }
        get yMemberPath() {
            return this.fm;
        }
        set yMemberPath(a) {
            this.fm = a;
            this.g("YMemberPath");
        }
        get highlightedXMemberPath() {
            return this.e9;
        }
        set highlightedXMemberPath(a) {
            this.e9 = a;
            this.g("HighlightedXMemberPath");
        }
        get highlightedYMemberPath() {
            return this.fa;
        }
        set highlightedYMemberPath(a) {
            this.fa = a;
            this.g("HighlightedYMemberPath");
        }
        get xMemberAsLegendLabel() {
            return this.fg;
        }
        set xMemberAsLegendLabel(a) {
            this.fg = a;
            this.g("XMemberAsLegendLabel");
        }
        get yMemberAsLegendLabel() {
            return this.fk;
        }
        set yMemberAsLegendLabel(a) {
            this.fk = a;
            this.g("YMemberAsLegendLabel");
        }
        get xMemberAsLegendUnit() {
            return this.fh;
        }
        set xMemberAsLegendUnit(a) {
            this.fh = a;
            this.g("XMemberAsLegendUnit");
        }
        get yMemberAsLegendUnit() {
            return this.fl;
        }
        set yMemberAsLegendUnit(a) {
            this.fl = a;
            this.g("YMemberAsLegendUnit");
        }
        get trendLineType() {
            return this.fe;
        }
        set trendLineType(a) {
            this.fe = a;
            this.g("TrendLineType");
        }
        get trendLineBrush() {
            return this.fd;
        }
        set trendLineBrush(a) {
            this.fd = a;
            this.g("TrendLineBrush");
        }
        get actualTrendLineBrush() {
            return this.e6;
        }
        set actualTrendLineBrush(a) {
            this.e6 = a;
            this.g("ActualTrendLineBrush");
        }
        get trendLineThickness() {
            return this.ev;
        }
        set trendLineThickness(a) {
            this.ev = a;
            this.g("TrendLineThickness");
        }
        get trendLineDashArray() {
            return this.ep;
        }
        set trendLineDashArray(a) {
            this.ep = a;
            this.g("TrendLineDashArray");
        }
        get trendLinePeriod() {
            return this.ez;
        }
        set trendLinePeriod(a) {
            this.ez = a;
            this.g("TrendLinePeriod");
        }
        get markerCollisionAvoidance() {
            return this.fc;
        }
        set markerCollisionAvoidance(a) {
            this.fc = a;
            this.g("MarkerCollisionAvoidance");
        }
        get trendLineZIndex() {
            return this.e0;
        }
        set trendLineZIndex(a) {
            this.e0 = a;
            this.g("TrendLineZIndex");
        }
        get maximumMarkers() {
            return this.ey;
        }
        set maximumMarkers(a) {
            this.ey = a;
            this.g("MaximumMarkers");
        }
        get itemSearchMode() {
            return this.fb;
        }
        set itemSearchMode(a) {
            this.fb = a;
            this.g("ItemSearchMode");
        }
        get itemSearchThreshold() {
            return this.ex;
        }
        set itemSearchThreshold(a) {
            this.ex = a;
            this.g("ItemSearchThreshold");
        }
        get actualItemSearchMode() {
            return this.e5;
        }
        set actualItemSearchMode(a) {
            this.e5 = a;
            this.g("ActualItemSearchMode");
        }
        get isCustomScatterStyleAllowed() {
            return this.es;
        }
        set isCustomScatterStyleAllowed(a) {
            this.es = a;
            this.g("IsCustomScatterStyleAllowed");
        }
        get isCustomScatterMarkerStyleAllowed() {
            return this.er;
        }
        set isCustomScatterMarkerStyleAllowed(a) {
            this.er = a;
            this.g("IsCustomScatterMarkerStyleAllowed");
        }
        get assigningScatterStyleRef() {
            return this.e8;
        }
        set assigningScatterStyleRef(a) {
            this.e8 = a;
            this.g("AssigningScatterStyleRef");
        }
        get assigningScatterMarkerStyleRef() {
            return this.e7;
        }
        set assigningScatterMarkerStyleRef(a) {
            this.e7 = a;
            this.g("AssigningScatterMarkerStyleRef");
        }
    }
    ScatterBaseDescription.$t = /*@__PURE__*/ markType(ScatterBaseDescription, 'ScatterBaseDescription', MarkerSeriesDescription.$);
    return ScatterBaseDescription;
})();
